/*
 * Copyright 2010-2011 Ning, Inc.
 *
 * Ning licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

package com.ning.metrics.serialization.event;

import com.ning.metrics.serialization.thrift.ThriftEnvelope;
import com.ning.metrics.serialization.thrift.ThriftField;
import org.apache.thrift.TException;
import org.joda.time.DateTime;

import java.util.ArrayList;
import java.util.List;

public class StringToThriftEnvelopeEvent
{
    public static Event extractEvent(final String type, final String payload) throws TException
    {
        return extractEvent(type, new DateTime(), payload);
    }

    public static Event extractEvent(final String type, final DateTime eventDateTime, final String payload) throws TException
    {
        final List<ThriftField> list = new ArrayList<ThriftField>();
        list.add(ThriftField.createThriftField(payload, (short) 1));
        final ThriftEnvelope envelope = new ThriftEnvelope(type, list);

        return new ThriftEnvelopeEvent(eventDateTime, envelope);
    }
}
